Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.aegis.type
Class AbstractTypeCreator.TypeClassInfo

    java.lang.Object
      org.codehaus.xfire.aegis.type.AbstractTypeCreator.TypeClassInfo

Enclosing class:
  AbstractTypeCreator

    public static class AbstractTypeCreator.TypeClassInfo

extends java.lang.Object

Constructor Summary
`AbstractTypeCreator.TypeClassInfo()`

Method Summary
`java.lang.Object[]` | `getAnnotations()`
`java.lang.Object` | `getGenericType()`
`java.lang.Object` | `getKeyType()`
`java.lang.String` | `getMappedName()`
`java.lang.Class` | `getType()`
`java.lang.Class` | `getTypeClass()`
`javax.xml.namespace.QName` | `getTypeName()`
`void` | `setAnnotations(java.lang.Object[] annotations)`
`void` | `setGenericType(java.lang.Object genericType)`
`void` | `setKeyType(java.lang.Object keyType)`
`void` | `setMappedName(java.lang.String mappedName)`
`void` | `setType(java.lang.Class type)`
`void` | `setTypeClass(java.lang.Class typeClass)`
`void` | `setTypeName(javax.xml.namespace.QName name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractTypeCreator.TypeClassInfo

    public AbstractTypeCreator.TypeClassInfo()

Method Detail

### getAnnotations

    public java.lang.Object[] getAnnotations()

### setAnnotations

    public void setAnnotations(java.lang.Object[] annotations)

### getGenericType

    public java.lang.Object getGenericType()

### setGenericType

    public void setGenericType(java.lang.Object genericType)

### getKeyType

    public java.lang.Object getKeyType()

### setKeyType

    public void setKeyType(java.lang.Object keyType)

### getTypeClass

    public java.lang.Class getTypeClass()

### setTypeClass

    public void setTypeClass(java.lang.Class typeClass)

### getTypeName

    public javax.xml.namespace.QName getTypeName()

### setTypeName

    public void setTypeName(javax.xml.namespace.QName name)

### getMappedName

    public java.lang.String getMappedName()

### setMappedName

    public void setMappedName(java.lang.String mappedName)

### getType

    public java.lang.Class getType()

### setType

    public void setType(java.lang.Class type)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.